classification
Title: IDLE: Add docstrings and tests for codecontext
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2018-02-12 13:08 by cheryl.sabella, last changed 2018-05-23 05:23 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5638 merged cheryl.sabella, 2018-02-12 13:11
PR 6988 merged miss-islington, 2018-05-19 19:34
PR 6989 merged miss-islington, 2018-05-19 19:35
Messages (8)
msg312046 - (view) Author: Cheryl Sabella (cheryl.sabella) * Date: 2018-02-12 13:08
Add docstrings and tests for codecontext.py.
msg316987 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-17 21:13
After this is merged, we should immediately add 'async' to the list of block openers.

With complete tests, we can more confidently cleanup the code a bit, as well as change behavior.  The fourth field of info tuples, block keyword, is never used as part of info tuples.  (It is used before being added in get_context.)
msg316992 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-17 23:36
Because BLOCKOPENERS is sufficiently distant from the changes for this issue, I will add 'async' now, without tests, in #33564.

Some of my comments for this issue are ideas for future changes in codecontext.py.
msg317134 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-19 19:34
New changeset 654038d896d78a8373b60184f335acd516215acd by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-32831: IDLE: Add docstrings and tests for codecontext (GH-5638)
https://github.com/python/cpython/commit/654038d896d78a8373b60184f335acd516215acd
msg317136 - (view) Author: miss-islington (miss-islington) Date: 2018-05-19 20:17
New changeset 83aedc4d9ae36fb7bc05fd8b2caec55697b3efd2 by Miss Islington (bot) in branch '3.6':
bpo-32831: IDLE: Add docstrings and tests for codecontext (GH-5638)
https://github.com/python/cpython/commit/83aedc4d9ae36fb7bc05fd8b2caec55697b3efd2
msg317137 - (view) Author: miss-islington (miss-islington) Date: 2018-05-19 20:28
New changeset 0efa1353b756bd61d4e852ff4ef146735bef5522 by Miss Islington (bot) in branch '3.7':
bpo-32831: IDLE: Add docstrings and tests for codecontext (GH-5638)
https://github.com/python/cpython/commit/0efa1353b756bd61d4e852ff4ef146735bef5522
msg317144 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-20 00:13
Thanks for the good set of tests.
msg317359 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-23 05:23
If you are following up with a new patch that includes code changes, make a new issue.  In the opening message, please briefly list the mini-issues fixed so I can refer changes to purposes.  Perhaps something like

* getspacesfirstword - function and param1 names
...

List the new issue as a dependency of new 'improve code context' issue 33610 that addresses point 2.
History
Date User Action Args
2018-05-23 05:23:16terry.reedysetmessages: + msg317359
2018-05-23 05:20:38terry.reedylinkissue33610 dependencies
2018-05-20 00:13:09terry.reedysetmessages: + msg317144
2018-05-20 00:12:44terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-19 20:28:05miss-islingtonsetmessages: + msg317137
2018-05-19 20:17:22miss-islingtonsetnosy: + miss-islington
messages: + msg317136
2018-05-19 19:35:14miss-islingtonsetpull_requests: + pull_request6641
2018-05-19 19:34:39miss-islingtonsetpull_requests: + pull_request6640
2018-05-19 19:34:14terry.reedysetmessages: + msg317134
2018-05-17 23:36:43terry.reedysetmessages: + msg316992
2018-05-17 21:13:09terry.reedysetmessages: + msg316987
versions: + Python 3.6, Python 3.7
2018-03-12 23:24:33cheryl.sabellalinkissue20917 dependencies
2018-02-12 13:11:45cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5438
2018-02-12 13:08:11cheryl.sabellacreate